@extends('layouts.admin')
 <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css" /> 
 <link rel="stylesheet" type="text/css" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css" /> 
 <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css"/> 



@section('header-content')
<script src="https://www.kryogenix.org/code/browser/sorttable/sorttable.js"></script> 

</style>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
  $("#myInput").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myTable tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script>
<style> 
input[type=number] {
  width: 50%;
  padding: 12px 20px;
  margin: 8px 0;
  box-sizing: border-box;
}
</style>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
.search{
    border: 1px solid black;
    border-radius: 10px;
    font-size: 16px;
    padding: 5px;width: 200px;
}

.searchselect{
  border: 1px solid black;
    border-radius: 10px;
    font-size: 16px;
    padding: 5px;width: 200px;
    height: 40px;

}
</style>
@endsection
@section('content')
   
       
            <div class="panel panel-white">
              <div class="panel-body">
                <div class="table-responsive">


                  
        

                  <table border="0" cellspacing="5" cellpadding="5">
        
         
            
              
             <input id="myInput" class="search"   type="text" placeholder="Search Shop">
                                    @if($dsflist)
                                   <form action="{{ route('searchorderbydsf') }}" method="POST" name="add_forms">
                                      {{ csrf_field() }}
                                   <h6 align="center">
                                      <input  class="search" name="fromdate" value="{{$todaysdate}}"     type="date" >
                                     <input  class="search" name="todate" type="date" value="{{$todaysdate}}" >


                                    <select class="searchselect" name="dsf" required="" >
         
                                    <option disabled selected value> -- select DSF -- </option>
                                    @foreach($dsflist as $key=> $list)
                                          
                                         <option value="{{$list->id}}">{{$list->firstname}} {{$list->lastname}}</option>
                                   @endforeach


                                     </select> 


                                   <button type="submit" class="btn btn-primary onl" >Search</button></h6>
                                 </form>

                                 @else

                                  <form action="{{ route('searchorderbydsf') }}" method="POST" name="add_forms">
                                      {{ csrf_field() }}
                                   <h6 align="center">
                                      <input  class="search" name="fromdate" value="{{$from}}"     type="date" >
                                     <input  class="search" name="todate" type="date" value="{{$to}}" >


                                    <select class="searchselect" name="dsf">
         
                                    <option disabled selected value> -- select DSF -- </option>
                                    @foreach($dsflists as $key=> $list)

                                          @if($dsf ==  $list->id) 
                                         <option value="{{$list->id}}" selected="">{{$list->firstname}} {{$list->lastname}}</option>
                                         @else
                                          <option value="{{$list->id}}" >{{$list->firstname}} {{$list->lastname}}</option>
                                          @endif
                                   @endforeach


                                     </select> 


                                   <button type="submit" class="btn btn-primary">Search</button></h6>
                                 </form>

                                 @endif

                                   <h3 align="center" style="color:green;">Customer Orders </h3>


                                   <h3 align="right">  <button  type="button" class="btn btn-info " data-toggle="modal" data-target="#myModal" id="Invoiceviews" >Invoice View</button></h3>

                                              <div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog">
    
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Invoice Without Discount or with Discount</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            

                         
<form action="{{ route('print.order') }}" method="POST" name="add_forms">
                            {{ csrf_field() }}
           
    <div class="col-md-6">
      <button class="btn btn-success">With Discount</button>
    </div>
       
     <div class="col-md-6">
      <button class="btn btn-danger" value="1" name="one">Without Discount</button>
    </div>
  </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default"  data-dismiss="modal">Close</button>
        </div>
      </div>
      
    </div>
  </div>

                                  




                                 
 
                             
                                 
                    <table   class="sortable table table-bordered table-framed table-hover display " id="example">
                        <thead>
                        <tr>
                            <th><input type="checkbox" name="all" id="checkall" />Check All</br></th>
                            <th>Date</th>
                            <th>Order Number</th>
                             <th>DSF Name</th>
                            <th>Shop Name</th>
                            <th>Customer Name</th>
                           
                             
                           
                            
                            
                        </tr>
                        </thead>
                       
                        <tbody id="myTable">

                          @foreach($allorders as $key=> $orders)
                        <tr>
                           <td><input type="checkbox" value="{{$orders->id}}" class="cb-element"    name="selectorders[]">
                         <td>{{$orders->date}}</td>
                         <td>{{$orders->order_no->order_no}}</td>
                         <td>{{$orders->BookedBy->firstname}}{{$orders->BookedBy->lastname}}</td>
                         <td>{{$orders->dsfshop->shop_name}}</td>
                          <td>{{$orders->dsfshop->shopkeeper_name}}</td>
                            
                            
                           
                        </tr>
                        @endforeach

                          @if($counter > 0)
                         
                         @foreach($recorde as $key=> $orders)
                        <tr>
                           <td><input type="checkbox" value="{{$orders->id}}" class="cb-element"   name="selectorders[]">
                         <td>{{$orders->date}}</td>
                         <td>{{$orders->order_no->order_no}}</td>
                         <td>{{$orders->BookedBy->firstname}}{{$orders->BookedBy->lastname}}</td>
                         <td>{{$orders->dsfshop->shop_name}}</td>
                          <td>{{$orders->dsfshop->shopkeeper_name}}</td>
                            
                            
                           
                        </tr>
                        @endforeach
                       

            
                        @endif

                        </tbody>
                       
                    </table>
                
                  </form>
                     

                                         
                        </form>
                </div>
                <br>
                
            </div>
            
        </div>


          <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>

    <script>
        $(document).ready(function () {
          


           $("#to").on("change",function(){
         var fromdate =   $("#from").val();  
         
           


    });

          

           
        });
    </script>



    <script type="text/javascript">
      
$('#checkall').change(function () {
    $('.cb-element').prop('checked',this.checked);
});

$('.cb-element').change(function () {
 if ($('.cb-element:checked').length == $('.cb-element').length){
  $('#checkall').prop('checked',true);
 }
 else {
  $('#checkall').prop('checked',false);
 }
});








    </script>

   


   
  

   








        <!-- /bordered panel body table -->
@endsection

@section('footer-content')
    
@endsection
